Package org.codehaus.janino.util

# Class ClassFile.BooleanElementValue

java.lang.Object
org.codehaus.janino.util.ClassFile.ConstantElementValue
org.codehaus.janino.util.ClassFile.BooleanElementValue

All Implemented Interfaces:
  `ClassFile.ElementValue`

Enclosing class:
  `ClassFile`

public static final class ClassFile.BooleanElementValue extends ClassFile.ConstantElementValue

## Nested Class Summary

## Nested classes/interfaces inherited from class org.codehaus.janino.util.ClassFile.ConstantElementValue

`ClassFile.ConstantElementValue.Visitor<R,EX extends Throwable>`

## Field Summary

### Fields inherited from class org.codehaus.janino.util.ClassFile.ConstantElementValue

`constantValueIndex`

## Constructor Summary

Constructors
Constructor
Description
`BooleanElementValue(short constantValueIndex)`

## Method Summary

Modifier and Type
Method
Description
`protected <R, EX extends Throwable>
R`
`accept(ClassFile.ConstantElementValue.Visitor<R,EX> visitor)`
Invokes the respective method of the `ClassFile.ConstantElementValue.Visitor`.

### Methods inherited from class org.codehaus.janino.util.ClassFile.ConstantElementValue

`accept, getTag, store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BooleanElementValue

public BooleanElementValue(short constantValueIndex)

## Method Details

### accept

protected <R, EX extends Throwable> R accept(ClassFile.ConstantElementValue.Visitor<R,EX> visitor) throws EX
Description copied from class: `ClassFile.ConstantElementValue`
Invokes the respective method of the `ClassFile.ConstantElementValue.Visitor`.

Specified by:
  `accept` in class `ClassFile.ConstantElementValue`
Throws:
  `EX`